---
title: "Initializing Sabbatical"
date: 2024-07-28T21:01:03+02:00
draft: false
---

## Friday

{{< image frame="true" width="13em" float="right" src="/img/headline/celine.png" alt="Celine Dion at the Olympics" >}}

This was my last workday. I had taken a short vacation with Marina and Quinn to Helsinki, Finland.
It was already booked before the sabbatical paperwork was finished. It was originally one week, but
I decided to cut it short, return on Wednesday, and spend the last two days tying up my work
activities, handing over projects, doing some emergency _perf_ n&eacute;e _grad_, and so on. At
around 19:00 or so, I closed the laptop lid after visiting memegen just one more time. I can kick the
habit, I swear!

Going in to this planned Pim-outage, I can't help but feel the love from my cow-orkers. Many, many 
people stopped by on IM or in a last minute meeting and said "have fun!", or "enjoy your time off!".
I appreciated the note from Brian and Matt as well. My _PRE_ colleagues said "seeya!" and some of
the _GPP_ captains I work with promised they'd not break shit, while others asserted they would
absolutely break shit. Who knows what I come back to, you know?

In the evening, Marina and I watched the Olympic games opening ceremony. Fred was cheering it on
from his place, and we all agreed this is a very exciting spectacle. He's proud to be French. Me,
not so much (but then again, it ain't much if it ain't Dutch!), but I'll give it to them: they
really organized a slick opening. Chapeau!

## Saturday

I spent the weekend frontloading my first project: cleaning up my basement.  I took inspiration from
yesterday -- we got up at 08:00 and Marina and I decided to trim the hedge between our yard and the
neighbors'. We were smug to report that at around 09:00 this task was finished. We then took down
the 8 year old and very weathered white container/box that we have in our back yard. Its plastic was
so far gone that it crumbled upon touch. It was kind of fun kicking it and pulling it, bopping it,
twisting it, and making it turn into a pile of rubble. We completed the task, including sorting
through its innards (and deciding to toss most of it), and it was now 10:00.

Armed with hope and a bushy tail, I descended to the basement, where I sorted things in rough piles:
some switches, some servers, some router equipment, lots of power and network cables, DACs, fibers
of various lengths, and so on. Then I spent most of the day rummaging around and extracting about
three 60 liter garbage bags with things I don't think I need anymore. You remember that nerd that
has a box of oddball cables and chargers in their garage? I'm no longer that nerd.

## Sunday

This morning I wook up at 09:00 and pretty quickly got to work, because in the process of "sorting
through" the crap yesterday, I obviously made a much bigger mess! Last year, I grew some chillies in
the basement serverroom (because it's always 26C there!). The experiment did yield some pretty nice
Naga and Trinidad Scorpion chillies, but unfortunately my plants got infected with some vermin, and
kind of all died.

I had removed the plants and done a cursory cleaning attempt, but largely ignored that corner of the
house for a year or so. I now need that corner, because it's going to be turned into a storage
facility, as it'll enable me to offload all the crap in my current working room, which is sprinkled
all over the floor currently.

{{< video src="/media/vdo/IMG_0406_0.mp4" type="video/mp4" preload="auto" >}}

I spend the morning continuing to mapreduce over the mess. It's funny how in my cleaning algorithm,
first everything gets exploded into many piles of adjacently relevant things: power cables in a
pile, network cables go there, computers and switches stacked over there in the corner, cardboard
boxes here, and so on. That's the mapping phase. But the reduce phase is meant to very quickly put
everything in its final spot.

### Side Quests

{{< image frame="false" width="5em" float="left" src="/img/init/sidequest.png" alt="The SideQuest logo" >}}

After lunch (vegetable soup and a cheese melt), I go on a little side quest: I create this website.
You see, I've always been a Jekyll user (which is written in Ruby). Michal showed it to me and I was
pretty immediately impressed with how it works. But, in my previous travels with Paul I used Hugo
(which is written in Go). I thought I'd create a website for my sabbatical using Hugo.

No biggie, just download, initialize the website, choose a theme (I chose
[[notrack](https://github.com/gevhaz/hugo-theme-notrack)]), and off we go. But, my life is always
more complicated than that. I use a `gitea` server with `drone` to do CI/CD on every merge. No
problem, I initialize a `.drone.yml` which checks out the site and its theme submodule, builds it
with Hugo, and pushes it with `drone-rsync` to the four `nginx` webservers at IPng Networks.

I am used to the `minima` theme in Jekyll and while it looks similar, the `notrack` theme doesn't
look quite right. So off I go on an hour of futzing around with the SCSS, HTML and other bits and
pieces. I am quite pleased with the result, but in the process I notice that the gallery and video
features of Hugo's `notrack` theme, want to upload large files to Git. OK, off to a
side-quest-side=quest I go: enabling [[Git LFS](https://git-lfs.com/)]. In itself, not too
difficult, just `pkg_add git-lfs` on OpenBSD, `apt-get install git-lfs` on Debian, and `brew install
git-lfs` on my Mac. But after enabling it, the files won't upload. Ah! I need to allow the `nginx`
server a larger `client_max_body_size`, and we're off to the races. I enable the `drone`
configuration to use LFS during the build, and voila! Every `git push` now builds, even with large
files.

If you thought this would not be a nerdy series of articles: you thought wrong.

### Sunday Evening

I summon Marina for an ap&eacute;ro, which she gladly obliges. We soak up some sun in the back yard,
while I drink a raspberry Gin & Tonic, and she drinks a Mattei Cap Corse, a drink we found while
over for dinner at JC and Sandra's place. I make a quick dinner of Chicken Tonight, Quinn arrives
and gobbles some up as well, and we disperse like shrapnel.

Marina is off to make a watercolor painting tonight, so I spend the after-dinner evening continuing
to make headway in the _reduce_ phase. I extract a box of IPng polos -- if you are reading this: I
have M, L, and XL in stock, hit me up! -- and decide to give them a wash as it can be damp at times
in my basement.

I think by tomorrow evening, I'll be
mostly done! I pour myself a glass of Legaris crianza and start S01E01 of The Last of Us. I've seen
it before, but I feel like watching it again. I feel .. cathartic. Often times, on Sunday Evening I
cannot really do things that would take me through Monday, because there's work on Mondays. But for
the next thirteen weeks, there will be no work on Mondays. 

It's Sunday evening, July 28th, and I'd like to start my _sabbatical_, please.

# Pictures of the day
{{< gallery-category >}}
  {{< gallery-photo fn="2024-07-28/IMG_0400.JPG" caption="See that blue background wall?" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0401.JPG" caption="Boxes full of cables and schwag" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0402.JPG" caption="Lots of random crap lying around" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0403.JPG" caption="The serverroom is a bit .. messy" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0396.JPG" caption="A stack of Mikrotik switches" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0404.JPG" caption="A stack of in-development PDUs" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0408.JPG" caption="Our backyard chairs beckon for an ap&eacute;ro" >}}
  {{< gallery-photo fn="2024-07-28/IMG_0409.JPG" caption="I am doing laundry -- of the IPng schwag polos" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
